{% extends 'oscar/layout.html' %}
{% load static %}
{% load widget_tweaks %}
{% load site_configs_tags %}

{% block styles %}

    <link rel = "stylesheet" href = "{% static 'web/css/bootstrap.min.css' %}">
    <link rel = "stylesheet" href = "{% static 'web/css/font-awesome.min.css' %}">
    <link rel = "stylesheet" href = "{% static 'web/css/slick.css' %}">
    <link rel = "stylesheet" href = "{% static 'web/css/slick-theme.css' %}">
    {% if page_css %}
        <link rel = "stylesheet" href="{% static '' %}{{ page_css }}">
    {% endif %}
    <link rel = "stylesheet" href = "{% static 'web/css/style.css' %}">
{% endblock %}

{% block layout %}
    {% get_configs 'common.Settings' as site_settings %}
    {% include "web/partials/nav_mob.html" %}
    {% block layout_extra_content %}{% endblock %}

    <div id="panel">
      {% include 'partials/nav_primary.html' %}
      <main class="main {% block main_classes %}{% endblock %}">
        <div class="slick-icon" hidden>
          <svg version="1.1" id="Слой_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 20 20" style="enable-background:new 0 0 20 20;" xml:space="preserve">
                        <style type="text/css">
                            .st0 {
                                fill-rule: evenodd;
                                clip-rule: evenodd;
                            }
                        </style>
                        <path class="st0" d="M10,20c5.5,0,10-4.5,10-10c0-5.5-4.5-10-10-10C4.5,0,0,4.5,0,10C0,15.5,4.5,20,10,20z M10,1.2  c4.9,0,8.8,3.9,8.8,8.8c0,4.9-3.9,8.8-8.8,8.8S1.2,14.9,1.2,10C1.2,5.1,5.1,1.2,10,1.2z M6.6,10.5l4.2,4.2c0.3,0.3,0.7,0.2,1,0  c0.3-0.3,0.3-0.7,0-0.9L8.1,10l3.7-3.6c0.3-0.3,0.2-0.7,0-0.9c-0.3-0.3-0.7-0.3-1,0L6.6,9.5C6.5,9.7,6.4,9.8,6.4,10c0,0,0,0,0,0  c0,0,0,0,0,0C6.4,10.2,6.5,10.3,6.6,10.5z"/>
                    </svg>
        </div>
        <div class="slick-icon__sm" hidden>
          <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5.4 3.5" style="enable-background:new 0 0 5.4 3.5;" xml:space="preserve">
                        <style type="text/css">
                            .st0 {
                                fill-rule: evenodd;
                                clip-rule: evenodd;
                            }
                        </style>
                        <path class="st0" d="M2.5,0.1L0.1,2.7C0,2.9,0,3.2,0.1,3.3c0.2,0.2,0.4,0.2,0.5,0L2.7,1l2.1,2.3c0.1,0.2,0.4,0.2,0.5,0  c0.2-0.2,0.2-0.4,0-0.6L3,0.1C2.9,0,2.8,0,2.7,0c0,0,0,0,0,0c0,0,0,0,0,0C2.6,0,2.5,0,2.5,0.1z"/>
                    </svg>
        </div>
        {% block content_wrapper %} {% endblock %} {% include 'web/partials/text_section.html' %}
        <div class="material-sec">
          <div class="container">
            <div class="row">
              <div class="col-lg-4 form-sec mail-cta">
                <div class="wrap">
                  <div class="name">Оставьте свой мейл и узнайте</div>
                  <form method="post" action="{% url 'mail-cta' %}" data-parsley-validate="" data-yandex-goal="poluwaf">
                    {% csrf_token %}
                    <div class="form-title">
                      {% if mail_cta %} {{ mail_cta.title }} {% else %} Определите призыв к действию для данной страницы {% endif %}
                    </div>
                    {% if mail_cta %}
                    <div class="row">
                      <div class="col-lg-12 col-md-6">
                        <input name="cta" hidden required value="{{ mail_cta.pk }}" />
                        <div class="form-group" id="mailCTAEmailField">
                          {% render_field form_mail_cta.email class="form-control" placeholder="Введите свой email адрес" data-parsley-required="true" data-parsley-maxlength=form_mail_cta.email.field.max_length data-parsley-class-handler="#mailCTAEmailField" %}
                        </div>
                      </div>
                      <div class="col-lg-12 col-md-6">
                        <button class="btn btn__gold btn-block" type="submit">ОТПРАВИТЬ</button>
                      </div>
                    </div>
                    <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку персональных данных</a></div>
                    {% endif %}
                  </form>
                </div>
              </div>
              <div class="col-lg-4 col-md-7 mat-sec">
                <div class="wrap">
                  <div class="name">Условия действующих акций и скидок</div>
                  <ul class="list-unstyled">
                    {% for discount in menu.footer.discounts %}
                    <li>
                      <a href="{{ discount.get_absolute_url }}" title="{{ discount.name }}">{{ discount.name }}</a>
                    </li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
              <div class="col-lg-4 col-md-5 cat-sec">
                <div class="wrap">
                  <div class="name">Последние статьи</div>
                  <ul class="list-unstyled">
                    {% for article in menu.footer.articles %}
                    <li><a href="{{ article.get_absolute_url }}">{{ article.title }}</a></li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </main>
      <div id="mobileMenuPanelLocker"></div>
    </div>
    {% include "partials/footer.html" %}
    <div id="modalWindowsOverlay">
        {% block modal_windows %}
        {% endblock %}

        {% include 'web/modals/backcall.html' %}
        {% include 'web/modals/fast_buy.html' %}
        {% include 'web/modals/request_alert.html' %}
        {% include 'web/modals/complete.html' %}
        {% include 'web/modals/birthday_save.html' %}
        {% if site_settings.window_inform_active and site_settings.window_inform_image %}
        {% include 'web/modals/inform.html' %}
        {% endif %}
        {% include 'web/modals/delivery_info.html' %}
    </div>
{% endblock %}

{% block scripts %}
  {% get_configs 'common.Settings' as site_settings %}
  <script>
    {% if site_settings.window_inform_active and site_settings.window_inform_image %}
        DISPLAY_INFORM_WINDOW = true;
    {% else %}
        DISPLAY_INFORM_WINDOW = false;
    {% endif %}
  </script>

  <script src="{% static 'oscar/js/oscar/ui.js' %}" type="text/javascript" charset="utf-8"></script>
  <script src="{% static 'web/js/libs/jquery.form.min.js' %}"></script>
  <script src="{% static 'web/js/libs/parsley.js' %}"></script>
  <script src="{% static 'web/js/libs/parsley-ru.js' %}"></script>
  <script src="{% static 'web/js/libs/popper.min.js' %}"></script>
  <script src="{% static 'web/js/libs/slick.min.js' %}"></script>
  <script src="{% static 'web/js/libs/slideout.min.js' %}"></script>
  <script src="{% static 'web/js/libs/bootstrap.min.js' %}"></script>
  <script src="{% static 'web/js/libs/livequery.min.js' %}"></script>
  <script src="{% static 'web/js/libs/jquery.mask.js' %}"></script>
  <script src="{% static 'common/js/common.js' %}"></script>
  <script src="{% static 'basket/js/quick-basket.js' %}"></script>
  <script src="{% static 'web/js/fast-buy.js' %}"></script>
  <script src="{% static 'web/js/request-alert.js' %}"></script>
  <script src="{% static 'web/js/yandex-goals.js' %}"></script>
  <script src="{% static 'web/js/product.js' %}"></script>
  <script src="{% static 'web/js/app.js' %}"></script>
  {% if page_script %}
  <script src="{% static '' %}{{ page_script }}"></script>
  {% endif %}
{% endblock %}
